<app-top-bar title="Enregistrement d'un crash qualité"></app-top-bar>
<mat-card class="m-5 mat-elevation-z4">
  <mat-card-header>
    <mat-card-title>Team Leader/AQP</mat-card-title>
  </mat-card-header>

  <form [formGroup]="formGroup">
    <mat-card-content>
      <mat-divider inset="true"></mat-divider>
      <div class="flex">
        <!-- ----------------------------------------------------------------------- -->
        <!--                                  COL 1                                  -->
        <!-- ----------------------------------------------------------------------- -->
        <!-- ---------------------------- date du crash ---------------------------- -->
        <div class="flex flex-col p-5">
          <mat-form-field appearance="outline">
            <mat-label>Date du Crash</mat-label>
            <input
              matInput
              [matDatepicker]="picker"
              formControlName="dateCrash"
            />
            <mat-datepicker-toggle
              matSuffix
              [for]="picker"
            ></mat-datepicker-toggle>
            <mat-datepicker #picker></mat-datepicker>
          </mat-form-field>
          <!-- -------------------------- Lieu de detection -------------------------- -->
          <mat-form-field
            appearance="outline"
            (click)="onClickToOpenDialog()"
            class="m-0 p-0"
          >
            <mat-label>Lieu de Détection</mat-label>
            <input
              matInput
              readonly
              formControlName="lieuDeDetection"
              [value]="
                getLigneOrMachineValue(
                  formGroup.controls['lieuDeDetection'].value
                )
              "
            />
          </mat-form-field>
          <!-- ------------------------ Nb de pièces bloquées ------------------------ -->
          <mat-form-field appearance="outline">
            <mat-label>Nombre de Pièces Bloquées</mat-label>
            <input required matInput formControlName="nbPieces" type="number" />
          </mat-form-field>
        </div>
        <!-- ----------------------------------------------------------------------- -->
        <!--                                  COL 2                                  -->
        <!-- ----------------------------------------------------------------------- -->

        <!-- ---------------------------- code article ----------------------------- -->

        <div class="flex flex-col p-5">
          <mat-form-field appearance="outline">
            <mat-label>Code article</mat-label>
            <input
              formControlName="articles"
              type="number"
              minlength="7"
              matInput
              required
              [matAutocomplete]="auto"
              placeholder="Code Article"
            />
            <mat-autocomplete
              #auto="matAutocomplete"
              required
              [displayWith]="getOptionText"
            >
              <mat-option
                *ngFor="let option of filteredArticles"
                [value]="option"
                >{{ option.codeArticle }}</mat-option
              >
            </mat-autocomplete>
          </mat-form-field>

          <!-- ------------------------------- Modèle -------------------------------- -->

          <mat-form-field appearance="outline">
            <mat-label> Modèle </mat-label>
            <mat-select matInput formControlName="modele">
              <mat-option *ngFor="let modele of modeles" [value]="modele"
                >{{ modele.modele }}
              </mat-option>
            </mat-select>
          </mat-form-field>

          <!-- ----------------------------- Part Number ----------------------------- -->

          <mat-form-field appearance="outline">
            <mat-label>Part Number</mat-label>
            <input required matInput readonly formControlName="partNumber" />
          </mat-form-field>
        </div>

        <!-- ----------------------------------------------------------------------- -->
        <!--                                  COL 3                                  -->
        <!-- ----------------------------------------------------------------------- -->

        <div class="flex flex-col-reverse p-5">
          <mat-form-field class="" appearance="outline">
            <mat-label>Description</mat-label>

            <textarea
              matInput
              cdkTextareaAutosize
              #autosize="cdkTextareaAutosize"
              cdkAutosizeMinRows="4"
              cdkAutosizeMaxRows="5"
              formControlName="description"
            ></textarea>
          </mat-form-field>
        </div>

        <!-- ----------------------------------------------------------------------- -->
        <!--                                  COL4                                   -->
        <!-- ----------------------------------------------------------------------- -->
        <div class="flex flex-col justify-end pb-10">
          <div class="flex flex-row gap-5">
            <button mat-stroked-button color="primary" disabled>
              Charger Une Photo todo
            </button>
            <button mat-raised-button color="primary" (click)="onSubmit()">
              Envoyer
            </button>
          </div>
        </div>
      </div>
    </mat-card-content>
  </form>
</mat-card>
